package org.springblade.modules.api.controller;

import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.secure.utils.AuthUtil;

public class BaseController extends BladeController {

    public boolean isMerchant() {
        Long parentId = AuthUtil.getUser().getDetail().getLong("parentId");
        return parentId == 0;
    }

}
